Quantcast

GTK3 with MonoDevelop

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

GTK3 with MonoDevelop

Elmar Haneke
Hi,

how should GTK-sharp-3 be enabled in current MonoDevelop?
In MonoDevelop 4 there has been an option to sideinstall GTK3 and switch
to it within project options.
In current Monodevelop 5 and 6 this option vanished - at least I cannot
find it any more.

At Nuget there are several packages for GTK3 which one should be used?


Can I configure MonoDevelop to open Glade-Files directly with Galde
designer?


Elmar

_______________________________________________
Gtk-sharp-list maillist  -  [hidden email]
http://lists.dot.net/mailman/listinfo/gtk-sharp-list
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: GTK3 with MonoDevelop

Pedro Larouca
Hello Elmar.

Well , GtkSharp3 is not supported by Xamarin. Current versions are efforts from community.
Since MS invested in Xamarin, most of the community got there for the mobile stuff.
This is what i think happened, and seems like that really..

Usually i use the first at list, author is NIMOOV . It works.

Can i ask you why do you need GtkSharp 3 ?
GtkSharp2 is really rock solid.





> On 16 May 2017, at 16:11, Elmar Haneke <[hidden email]> wrote:
>
> Hi,
>
> how should GTK-sharp-3 be enabled in current MonoDevelop?
> In MonoDevelop 4 there has been an option to sideinstall GTK3 and switch
> to it within project options.
> In current Monodevelop 5 and 6 this option vanished - at least I cannot
> find it any more.
>
> At Nuget there are several packages for GTK3 which one should be used?
>
>
> Can I configure MonoDevelop to open Glade-Files directly with Galde
> designer?
>
>
> Elmar
>
> _______________________________________________
> Gtk-sharp-list maillist  -  [hidden email]
> http://lists.dot.net/mailman/listinfo/gtk-sharp-list

_______________________________________________
Gtk-sharp-list maillist  -  [hidden email]
http://lists.dot.net/mailman/listinfo/gtk-sharp-list
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: GTK3 with MonoDevelop

Elmar Haneke

> Can i ask you why do you need GtkSharp 3 ?
> GtkSharp2 is really rock solid.

One reason is that GTK3 does have an updated widgetset. The other is
that GTK2 seems to be incompatible to some printers.

Therefore I belive it to be an good idea not to stay fixed at outdatet GTK2.

Elmar

_______________________________________________
Gtk-sharp-list maillist  -  [hidden email]
http://lists.dot.net/mailman/listinfo/gtk-sharp-list
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: GTK3 with MonoDevelop

Xavi de Blas
Also I think GTK3 works nice on HDPI screens

On the other hand GTK2 does not show correctly the pixel density to those screens and application does not look sharp.

Can anyone confirm and give more info on this?

Thanks.

2017-05-17 10:14 GMT+02:00 Elmar Haneke <[hidden email]>:

> Can i ask you why do you need GtkSharp 3 ?
> GtkSharp2 is really rock solid.

One reason is that GTK3 does have an updated widgetset. The other is
that GTK2 seems to be incompatible to some printers.

Therefore I belive it to be an good idea not to stay fixed at outdatet GTK2.

Elmar

_______________________________________________
Gtk-sharp-list maillist  -  [hidden email]
http://lists.dot.net/mailman/listinfo/gtk-sharp-list


_______________________________________________
Gtk-sharp-list maillist  -  [hidden email]
http://lists.dot.net/mailman/listinfo/gtk-sharp-list
Loading...